﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.TimeBar;
using System.ComponentModel;

namespace SilverlightApplication2
{
    public partial class ChangingProperties : UserControl, INotifyPropertyChanged
    {
        private DateTime periodStart;
        private DateTime periodEnd;

        public ChangingProperties()
        {
            InitializeComponent();

            RadTimeBar1.DataContext = this;

            this.PeriodEnd = new DateTime(2012, 1, 9);
            this.PeriodStart = new DateTime(2005, 5, 19);
        }

        public DateTime PeriodStart
        {
            get
            {
                return periodStart;
            }
            set
            {
                periodStart = value;
                this.OnPropertyChange("PeriodStart");
            }
        }

        public DateTime PeriodEnd
        {
            get
            {
                return periodEnd;
            }
            set
            {
                periodEnd = value;
                this.OnPropertyChange("PeriodEnd");
            }
        }

        private void OnPropertyChange(string name)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    
#region INotifyPropertyChanged Members

public event PropertyChangedEventHandler  PropertyChanged;

#endregion
}
}
